"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnequalGridWidthError = void 0;
/**
 * An error that is thrown when the actual grid width is not the same as the expected grid width
 */
class UnequalGridWidthError extends Error {
    type = UnequalGridWidthError.name;
    /**
     @param expectedWidth The expected width of the grid
     @param actualWidth The actual width of the grid
     */
    constructor(expectedWidth, actualWidth) {
        super(`The grid must have exactly ${expectedWidth} columns. Given grid width: ${actualWidth}`);
    }
}
exports.UnequalGridWidthError = UnequalGridWidthError;
