import { Edge } from './Edge';
/**
 * The representation of all neighbors of a cell
 */
export class Edges {
    grid;
    cell;
    /**
     * @param grid The grid the cell is part of
     * @param cell The source cell
     */
    constructor(grid, cell) {
        this.grid = grid;
        this.cell = cell;
    }
    /**
     * @param direction The direction to the edge
     * @returns The edge
     */
    get(direction) {
        const neighbor = this.findNeighbor(direction);
        return new Edge(this, this.getPreviousEdgeDirection, this.getNextEdgeDirection, this.cell, direction, neighbor);
    }
    /**
     * @param directions The allowed directions
     * @returns An array of all existing edge cells (output order is the same as the input order)
     */
    list(directions) {
        return directions.map((direction) => this.get(direction));
    }
}
