import type { Cell } from './Cell';
import type { Directions } from './Directions';
export declare class Corner<TValue, TDirections extends Directions, TCell extends Cell<TValue, TDirections>> {
    sourceCell: TCell;
    directionFromSourceCell: TDirections['Corner'];
    neighborCells: TCell[];
    readonly id: string;
    /**
     * All cells, that are connected to this corner
     */
    adjacentCells: TCell[];
    /**
     * @param sourceCell
     * @param directionFromSourceCell
     * @param neighborCells All cells, that are connected to the sourceCell through this corner
     */
    constructor(sourceCell: TCell, directionFromSourceCell: TDirections['Corner'], neighborCells: TCell[]);
}
//# sourceMappingURL=Corner.d.ts.map