import type { Coordinate } from '../Coordinate';
import type { Grid } from '../Grid';
import type { Cell } from '../Cell';
import type { Directions } from '../Directions';
/**
 * An error that is thrown when the cell does not exist in the grid
 */
export declare class CellDoesNotExistInGridError<TValue, TDirections extends Directions, TCell extends Cell<TValue, TDirections>> extends Error {
    readonly type: string;
    /**
     * @param grid The grid
     * @param coordinate The coordinate of the not existing cell
     */
    constructor(grid: Grid<TValue, TDirections, TCell>, coordinate: Coordinate);
}
//# sourceMappingURL=CellDoesNotExistInGridError.d.ts.map